Process
List
POST
/
process.Process
/
List
List
curl --request POST \
--url https://sandbox.{domain}/process.Process/List \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--header 'E2b-Sandbox-Id: <e2b-sandbox-id>' \
--header 'E2b-Sandbox-Port: <e2b-sandbox-port>' \
--header 'X-Access-Token: <api-key>' \
--data '{}'import requests
url = "https://sandbox.{domain}/process.Process/List"
payload = {}
headers = {
"E2b-Sandbox-Id": "<e2b-sandbox-id>",
"E2b-Sandbox-Port": "<e2b-sandbox-port>",
"Connect-Protocol-Version": "<connect-protocol-version>",
"X-Access-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'E2b-Sandbox-Id': '<e2b-sandbox-id>',
'E2b-Sandbox-Port': '<e2b-sandbox-port>',
'Connect-Protocol-Version': '<connect-protocol-version>',
'X-Access-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://sandbox.{domain}/process.Process/List', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"processes": [
{
"config": {
"cmd": "<string>",
"args": [
"<string>"
],
"envs": {},
"cwd": "<string>"
},
"pid": 123,
"tag": "<string>"
}
]
}{
"message": "<string>",
"code": 123,
"sandboxID": "<string>"
}Authorizations
Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).
Headers
Identifier of the target sandbox. Routes the request to that sandbox's envd over the shared sandbox host.
Port envd listens on inside the sandbox (default 49983).
Define the version of the Connect protocol
Define the timeout, in ms
Body
application/json
The body is of type ListRequest · object.
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List
